Language

Query Parameters

ParameterRequiredTypeDescription
IDYesStringThe reference / ID of the Payment Link to retrieve

The request above results to the following JSON payload when a payment link exists

GET https://sandbox.kopokopo.com/api/v2/payment_links/:id
Content-Type: application/json
Accept: application/json
Authorization: Bearer < AccessToken >


{
  "data": {
    "id": "5a5e8e7b-9520-4dfb-81cb-a5c67f48cc86",
    "type": "payment_link",
    "attributes": {
      "status": "Processed",
      "created_at": "2026-01-26T12:04:35.444+03:00",
      "till_name": "John Doe Company",
      "till_number": "65328",
      "payment_reference": "INVOICE-01-65328",
      "currency": "KES",
      "amount": "20000",
      "note": "Payment for TV sold",
      "payment_link": {
        "payment_link_status": "Active",
        "expires_at": "2026-02-02T12:04:35.476+03:00",
        "initiator_name": "John Doe",
        "link": "/links/691628ee-3fcf-4e4e-a1d6-700cb7ec7f60"
      },
      "errors": null,
      "metadata": {
        "key": "value"
      },
      "_links": {
        "callback_url": "https://your.callback.url.com/",
        "self": "https://api.kopokopo.com/api/v2/payment_links/5a5e8e7b-9520-4dfb-81cb-a5c67f48cc86"
      }
    }
  }
}
#  Using K2Connect - https://github.com/kopokopo/k2-connect-ruby (Recommended)
location_url = "https://sandbox.kopokopo.com/api/v2/payment_links/f387e4d7-6a32-4f2d-ba1e-809eab2d9614"
k2_payment_links = K2ConnectRuby::K2Entity::PaymentLink.new("your_access_token")

# View payment link
k2_payment_links.query_resource(location_url)
const PaymentLinkService = K2.PaymentLinkService

const paymentLinkOptions = {
  location: 'https://sandbox.kopokopo.com/api/v2/payment_links/cc438b3e-ecf0-4600-b9cc-edba32ae7019',
  accessToken: 'myRand0mAcc3ssT0k3n'
}

PaymentLinkService.getStatus(paymentLinkOptions)
import k2connect

k2connect.initialize(CLIENT_ID, CLIENT_SECRET, BASE_URL)
payment_links_service = k2connect.PaymentLinks(access_token=access_token)

request_payload = {
    "payment_link_reference": "5a5e8e7b-9520-4dfb-81cb-a5c67f48cc86",
}
payment_link_resource_location_url = payment_links_service.get_status(request_payload)
$paymentLinkService = $K2->paymentLinkService();

$statusOptions = [
  "location" => "https://sandbox.kopokopo.com/api/v2/payment_links/5a5e8e7b-9520-4dfb-81cb-a5c67f48cc86",
  "accessToken" => "myRand0mAcc3ssT0k3n",
];

$response = $paymentLinkService->getStatus($statusOptions);
print_r($response);
// Not Supported
// This feature is not currently available in the Flutter SDK.
// Please use one of the other SDKs (PHP, Ruby, Python, NodeJs) or the REST API.